<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.formatter.DateFormatter"
	import="net.sf.basedb.util.formatter.Formatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~lysate_reextraction.js" 
	styles="path.css,~../css/reggie-2.css,~../css/lysate_picklist.css"
	>
<style>
tr.highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#lysateTable
{
	border-width: 0;
	font-size: 100%;
}

#lysateTable td:first-child, #lysateTable th:first-child
{
	border-left-width: 0;
}

#protocol-header
{
	display: none;
}

#protocol-footer
{
	border-top-width: 1px;
	padding: 0.5em;	
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Pick lysate for re-extraction" 
		/></p:path>

	<div class="content">
	
	<div id="page-data" class="datacontainer"
		data-home-url="<%=home%>"
	></div>

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select lysates that should be picked</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Lysates</td>
				<td class="input">
					<select name="lysates" id="lysates" class="yellow-label-support" multiple size="15""></select>
				</td>
				<td class="status" id="lysates.status"></td>
				<td class="help">
					<span id="lysates.message" class="message" ></span>
					The list contain Lysate items that has been selected for
					re-extraction (determined by 'AutoProcessing' annotation).<br>
					<base:icon image="<%=home+"/images/yellow-label.png"%>" /> = YellowLabel specimen
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Lysate pick-list protocol</div>
		<div class="step-content">
			<div class="messagecontainer note" style="margin: 2em; width: 50%; padding: 1em; font-weight: bold;">
				It is important that this protocol is printed before 
				registration, since the storage locations are replaced 
				with the new locations.
			</div>
			<div id="full-protocol" class="topborder">
			
				<div id="protocol-header">
				<h1>Pick list protocol for lysate re-extraction <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>
				</div>
				
				<div id="protocol-table" class="nolabels">
					<table id="lysateTable">
					<thead class="bg-filled-100">
						<tr>
						<th>Lysate</th>
						<th class="label">Label¹</th>
						<th>Freezer</th>
						<th>Box</th>
						<th>New box</th>
						<th>Remaing quantity</th>
						<th>Remark</th>
						</tr>
					</thead>
					<tbody id="lysateList"></tbody>
					</table>
					
					<div id="protocol-footer" class="label">
						¹ Some SCAN-B tubes have a non-standard label.
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="goprint" title="Print&hellip;" image="<%=home+"/images/print.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>